package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;


@Entity // @Audited
@Table(name = "PelatihanJpl_T")
@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })

public class PelatihanJpl extends BaseTransaction{
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectEselonFk")
	private Eselon eselon;
	
	@Column(name = "ObjectEselonFk", insertable = false, updatable = false)
	private Integer eselonId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectGolonganFk")
	private GolonganPegawai golonganPegawai;
	
	@Column(name = "ObjectGolonganFk", insertable = false, updatable = false)
	private Integer golonganId;
	
	@Caption(value = "jpl")
	@Column(name = "jpl", nullable = true, length = 150)
	private String jpl;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPeatihanFk")
	@NotNull(message = "Paket Tidak Boleh Kosong")
	private PelatihanPaket pelatihanPaket;

	@Column(name = "ObjectPeatihanFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false)
	private String pelatihanPaketId;
	
	public GolonganPegawai getGolonganPegawai() {
		return golonganPegawai;
	}

	public void setGolonganPegawai(GolonganPegawai golonganPegawai) {
		this.golonganPegawai = golonganPegawai;
	}

	public Eselon getEselon() {
		return eselon;
	}

	public void setEselon(Eselon eselon) {
		this.eselon = eselon;
	}

	public Integer getEselonId() {
		return eselonId;
	}

	public void setEselonId(Integer eselonId) {
		this.eselonId = eselonId;
	}
 

	public Integer getGolonganId() {
		return golonganId;
	}

	public void setGolonganId(Integer golonganId) {
		this.golonganId = golonganId;
	}

	public String getJpl() {
		return jpl;
	}

	public void setJpl(String jpl) {
		this.jpl = jpl;
	}

	public PelatihanPaket getPelatihanPaket() {
		return pelatihanPaket;
	}

	public void setPelatihanPaket(PelatihanPaket pelatihanPaket) {
		this.pelatihanPaket = pelatihanPaket;
	}

	public String getPelatihanPaketId() {
		return pelatihanPaketId;
	}

	public void setPelatihanPaketId(String pelatihanPaketId) {
		this.pelatihanPaketId = pelatihanPaketId;
	}

	

	
}

